#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: 99_set_default_services.pl, v1.0.0.0 Tue 15 Apr 2008 12:09:28 PM EDT mstauber Exp $
# Copyright 2006-2008 Solarspeed Ltd. All rights reserved.
#
# Script to set certain services to default state.

use CCE;
my $cce = new CCE;
my $conf = '/var/lib/cobalt';

$cce->connectuds();

# Active Monitor:
my @oids = $cce->find('ActiveMonitor');
if (not @oids) {
        $cce->bye('FAIL');
        exit 1;
}
my ($ok, $obj) = $cce->get($oids[0], '');
unless ($ok and $obj) {
        $cce->bye('FAIL');
        exit 1;
}
else {
    # Set Active Monitor to default states for type Disk:
    ($ok) = $cce->set($oids[0], 'RAID',{
        "monitor" => "0"
    });
    ($ok) = $cce->set($oids[0], 'DMA',{
        "monitor" => "0"
    });
    ($ok) = $cce->set($oids[0], 'DiskIntegrity',{
        "monitor" => "0"
    });
    ($ok) = $cce->set($oids[0], 'SMART',{
        "monitor" => "0"
    });
}

